/*
 * nslookup.c -- converts addresses from one type to another..
 * (C) 1994, 1995 Jeremy Nelson
 * See the COPYRIGHT file for more information
 */

char *host_to_ip (const char *host)
{
	static char ip[256];

	alarm(1);
	hep = gethostbyname(host);
	alarm(0);

	return (hep ? 
		sprintf(ip,"%u.%u.%u.%u", 	hep->h_addr[0] & 0xff,
						hep->h_addr[1] & 0xff,
						hep->h_addr[2] & 0xff,
						hep->h_addr[3] & 0xff),
		ip : (char *) 0);
}

char *ip_to_host (const char *host)
{
	int b1 = 0, b2 = 0, b3 = 0, b4 = 0;
	char foo[4];

	sscanf(name, "%d.%d.%d.%d", &b1, &b2, &b3, &b4);
	foo[0] = b1;
	foo[1] = b2;
	foo[2] = b3;
	foo[3] = b4;

	alarm(1);
	hep = gethostbyaddr(foo, 4, AF_INET);
	alarm(0);

	return (hep ?
		strcpy(host, hep->h_name): 
		(char *) 0);
}

char *one_to_another (const char *what)
{
	int b1 = 0, b2 = 0, b3 = 0, b4 = 0;
	sscanf(name, "%d.%d.%d.%d", &b1, &b2, &b3, &b4);

	if ((b1 == b2 == b3 == b4) && (b1 == 0))
		return name_to_ip (what);
	else
		return ip_to_name (what);
}
